/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Firefox Toolbar Thinger.
 *
 * The Initial Developer of the Original Code is
 *      Dave Townsend <dave.townsend@blueprintit.co.uk>.
 *
 * Portions created by the Initial Developer are Copyright (C) 2006
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK *****
 *
 * $HeadURL: file:///home/mossop/svn/dave/mozilla/firefox/Thinger/trunk/src/chrome/content/script/options.js $
 * $LastChangedBy: dave $
 * $Date: 2006-03-18 15:53:47 -0800 (Sat, 18 Mar 2006) $
 * $Revision: 585 $
 *
 */

function onLoad()
{
	document.getElementById("titlebox").value=getAttribute("label", "");
	document.getElementById("iconbox").value=getAttribute("image", "");
	document.getElementById("codebox").value=getText("code", "");
}

function onAccept()
{
	setAttribute("label", document.getElementById("titlebox").value);
	setAttribute("image", document.getElementById("iconbox").value);
	setText("code", document.getElementById("codebox").value);
	persistSettings();
}

function onBrowse()
{
	var fp = Components.classes["@mozilla.org/filepicker;1"]
	                   .createInstance(Components.interfaces.nsIFilePicker);
	fp.init(window, "Select Log File", fp.modeOpen);
	fp.appendFilter("Image files", "*.jpg;*.gif;*.png");
	fp.appendFilter("All Files (*.*)", "*.*");
		
	if (fp.show() == fp.returnOK)
	{
		var item=fp.file;
		if (item.exists())
		{
			var itemURI = Components.classes["@mozilla.org/network/io-service;1"]
		                          .getService(Components.interfaces.nsIIOService)
		                          .newFileURI(item);
		  document.getElementById("iconbox").value=itemURI.spec;
		}
	}
}
